


NETHACK(6)                    1996                     NETHACK(6)



NAME
     nethack - Exploring The Mazes of Menace

SYNOPSIS
     nethack [ -d directory ] [ -n ] [ -[ABCEHKPRSTVW@] ] [ -[DX]
     ] [ -u playername ] [ -dec ] [ -ibm ]
     nethack [ -d directory ] -s [ -v ]  [  -[ABCEHKPRSTVW]  ]  [
     playernames ]

DESCRIPTION
     NetHack is a display oriented Dungeons & Dragons(tm) -  like
     game.  The standard tty display and command structure resem-
     ble rogue.

     Other, more graphical display options exist if you are using
     either a PC, or an X11 interface.

     To get started you really only need to  know  two  commands.
     The command ? will give you a list of the available commands
     (as well as other information) and the command / will  iden-
     tify the things you see on the screen.

     To win the game (as opposed to merely playing to beat  other
     people's  high  scores) you must locate the Amulet of Yendor
     which is somewhere below the 20th level of the  dungeon  and
     get  it out.  Nobody has achieved this yet; anybody who does
     will probably go down in history as a hero among heros.

     When the game ends, whether  by  your  dying,  quitting,  or
     escaping  from  the caves, NetHack will give you (a fragment
     of) the list of top scorers.  The scoring is based  on  many
     aspects  of  your behavior, but a rough estimate is obtained
     by taking the amount of gold you've found in the  cave  plus
     four  times  your (real) experience.  Precious stones may be
     worth a lot of gold when brought to the exit.   There  is  a
     10% penalty for getting yourself killed.

     The environment variable NETHACKOPTIONS can be used to  ini-
     tialize  many  run-time  options.   The ? command provides a
     description of these options and syntax.  (The -dec and -ibm
     command  line  options are equivalent to the decgraphics and
     ibmgraphics run-time options described there, and  are  pro-
     vided  purely for convenience on systems supporting multiple
     types of terminals.)

     The -u playername option supplies the answer to the question
     "Who  are you?".  It overrides any name from NETHACKOPTIONS,
     HACKOPTIONS, USER, LOGNAME, or getlogin(), which will other-
     wise  be tried in order.  If none of these provides a useful
     name, the player will be asked for one.   Player  names  (in
     conjunction  with  uids) are used to identify save files, so
     you can have several  saved  games  under  different  names.



March                    Last change: 10                        1






NETHACK(6)                    1996                     NETHACK(6)



     Conversely,  you  must  use  the  appropriate player name to
     restore a saved game.

     A playername suffix or a separate option consisting  of  one
     of -A -B -C -E -H -K -P -R -S -T -V -W can be used to deter-
     mine the character role.  Likewise, -@ can be used to expli-
     citly  request that a random role be chosen.  It may need to
     be quoted with a backslash (-\@) if @ is the "kill"  charac-
     ter  (see  "stty") for the terminal, in order to prevent the
     current input line from being cleared.

     The -s option alone will print out the list of  your  scores
     on the current version.  An immediately following -v reports
     on all versions present in the score file.  The -s may  also
     be followed by arguments -A -B -C -E -H -K -P -R -S -T -V -W
     to  print   the   scores   of   Archeologists,   Barbarians,
     Cave(wo)men, Elves, Healers, Knights, Priest(esse)s, Rogues,
     Samurai, Tourists, Valkyries, or Wizards.  It  may  also  be
     followed  by one or more player names to print the scores of
     the players mentioned, by 'all' to print out all scores,  or
     by a number to print that many top scores.

     The -n option suppresses printing of any news from the  game
     administrator.

     The -D or -X option will start the game in  a  special  non-
     scoring  discovery mode.  -D will, if the player is the game
     administrator, start in debugging (wizard) mode instead.

     The -d option, which  must  be  the  first  argument  if  it
     appears, supplies a directory which is to serve as the play-
     ground.  It overrides the value from NETHACKDIR, HACKDIR, or
     the  directory  specified  by  the game administrator during
     compilation   (usually   /usr/games/lib/nethackdir).    This
     option  is  usually  only  useful to the game administrator.
     The playground must contain several auxiliary files such  as
     help files, the list of top scorers, and a subdirectory save
     where games are saved.

AUTHORS
     Jay Fenlason (+ Kenny Woodland, Mike Thome  and  Jon  Payne)
     wrote  the  original hack, very much like rogue (but full of
     bugs).

     Andries Brouwer continuously deformed their sources into  an
     entirely different game.

     Mike Stephenson has continued  the  perversion  of  sources,
     adding  various  warped character classes and sadistic traps
     with the help of many strange  people  who  reside  in  that
     place  between  the  worlds,  the  Usenet Zone.  A number of
     these miscreants are immortalized in the historical roll  of



March                    Last change: 10                        2






NETHACK(6)                    1996                     NETHACK(6)



     dishonor and various other places.

     The resulting mess is now  called  NetHack,  to  denote  its
     development  by  the  Usenet.  Andries Brouwer has made this
     request for the distinction, as he may eventually release  a
     new version of his own.

FILES
     All    files    are    in    the    playground,     normally
     /usr/games/lib/nethackdir.   If  DLB  was defined during the
     compile, the data files and special levels will be inside  a
     larger  file,  normally  nhdat,  instead  of  being separate
     files.
     nethack                     The program itself.
     data, oracles, rumors       Data files used by NetHack.
     options, quest.dat          More data files.
     help, hh                    Help data files.
     cmdhelp, opthelp, wizhelp   More help data files.
     *.lev                       Predefined special levels.
     dungeon                     Control file for special levels.
     history                     A short history of NetHack.
     license                     Rules governing redistribution.
     record                      The list of top scorers.
     logfile                     An extended list of games
                                 played.
     xlock.nnn                   Description of a dungeon level.
     perm                        Lock file for xlock.dd.
     bonesDD.nn                  Descriptions of the ghost and
                                 belongings of a deceased
                                 adventurer.
     save                        A subdirectory containing the
                                 saved games.

ENVIRONMENT
     USER or LOGNAME      Your login name.
     HOME                 Your home directory.
     SHELL                Your shell.
     TERM                 The type of your terminal.
     HACKPAGER or PAGER   Replacement for default pager.
     MAIL                 Mailbox file.
     MAILREADER           Replacement for default reader
                          (probably /bin/mail or /usr/ucb/mail).
     NETHACKDIR           Playground.
     NETHACKOPTIONS       String predefining several NetHack
                          options.

     In addition, SHOPTYPE is used in debugging (wizard) mode.

SEE ALSO
     dgn_comp(6), lev_comp(6), recover(6)





March                    Last change: 10                        3






NETHACK(6)                    1996                     NETHACK(6)



BUGS
     Probably infinite.



     Dungeons & Dragons is a Trademark of TSR Inc.

















































March                    Last change: 10                        4



